package com.liquidnet.common.third.xuper.exception;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: Xupter
 * @Package com.liquidnet.common.third.xuper.exception
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/6/15 16:05
 */
public class XupterException extends RuntimeException{
    private static final long serialVersionUID = -3916918823313768482L;
    private String code;
    private String msg;

    public XupterException(String code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public XupterException(String code, String msg, Throwable t) {
        super(msg, t);
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
